/** @internal */
/** The various different types of IO errors. */
export declare type ErrorCode = "other" | "resource-not-found" | "unexpected-end-of-file" | "write-zero" | "quota-exceeded";
/** Represents an error during an I/O operation. */
export declare class IoError extends Error {
    /** The error's code. */
    readonly code: ErrorCode;
}
